import Model.Arrangement;
import Presenter.Presenter;
import View.MainFrame;
import java.awt.Font;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 28.05.2017.
 */
public class App {

  private static void setUIFont(javax.swing.plaf.FontUIResource f)
  {
    java.util.Enumeration<Object> keys = UIManager.getDefaults().keys();
    while (keys.hasMoreElements())
    {
      Object key = keys.nextElement();
      Object value = UIManager.get(key);
      if (value instanceof javax.swing.plaf.FontUIResource)
      {
        UIManager.put(key, f);
      }
    }
  }

  private static void setLookAndFeel(JFrame view){
    try {
      UIManager.setLookAndFeel("com.jtattoo.plaf.aluminium.AluminiumLookAndFeel");
    } catch (ClassNotFoundException e) {
      e.printStackTrace();
    } catch (InstantiationException e) {
      e.printStackTrace();
    } catch (IllegalAccessException e) {
      e.printStackTrace();
    } catch (UnsupportedLookAndFeelException e) {
      e.printStackTrace();
    }
    SwingUtilities.updateComponentTreeUI(view);
  }

  public static void main(String[] args) {

    SwingUtilities.invokeLater(() -> {
      MainFrame view = new MainFrame();
      setLookAndFeel(view);
      setUIFont (new javax.swing.plaf.FontUIResource(new Font("Verdana",Font.PLAIN, 12)));

      view.setPresenter(new Presenter(new Arrangement(), view));
    });

  }

}
