package Presenter.Generator;

import Model.Line;

import java.util.LinkedList;
import java.util.Random;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 01.08.2017.
 */
public class DatasetGenerator {


    public DatasetGenerator(){}


    public LinkedList<Line> generateDataset(){
        LinkedList<Line> lines = new LinkedList<>();
        Random random = new Random();
        random.setSeed(9999);

        double m = 1 + random.nextDouble();
        double b = random.nextDouble();

        for (int i=1;i<101;i++){
            double y = (random.nextGaussian() * 100) % 100;
            double signal = m * i + b;
            signal *= -1;

            Line line = new Line(i, signal - y);
            line.setId(i-1+"");
            lines.add(line);
        }

        return lines;
    }

}

